Sketchup 2017 needs opengl 3.0

Discussion in 'Mac OS X Guest OS Discussion' started by PEDROG2, Dec 31, 2016.

  1. PEDROG2

    PEDROG2 Bit Poster

    Messages:
    4
    All the users that have Windows on a Mac with Parallels and use Sketch pro 2017 can't run the soft because they require OpenGl 3.0. What it need t to happened to Parallels update the OpenGl to a version 3.0? If you guys don't update the version 12 with OpenGl 3.0 will be the dead of Parallels...

    I will not update or purchase any more the Parallels until they update the soft.
     
    Gareth2 likes this.
  2. Dmitry@Parallels

    Dmitry@Parallels Parallels Support

    Messages:
    442
    Best Answer
  3. PaulChris@Parallels

    PaulChris@Parallels Product Expert Parallels Support

    Messages:
    2,951
    Hi PEDROG2,
    we understand your concern here. Though the Parallels virtual machine (Windows, Linux and OS X) uses OpenGL 2.1, our Development team is working towards a possibility to support OpenGL higher version in future versions of Parallels Desktop. You could subscribe to our newsletter to get the updates.
     
  4. PEDROG2

    PEDROG2 Bit Poster

    Messages:
    4
    What do you waiting for to update the OpenGl to a version 3.0 or superior? All the users of Sketchup are dead waiting for you guys to make this happened. To all users of Parallels that have Sketchup don't buy any upgrade until they work and make the correct upgrade to openGl.
     
  5. VincentH6

    VincentH6 Bit Poster

    Messages:
    1
    Hi Paul,
    I agree with Pedrog, in a professional environment, I find parallel support for sketchup quite problematic even in 2016 (anti-aliasing etc), but still usable with a lot of compromise.
    However, with 2017, moving to OpenGL 3.0, if we can't get this to work, along with all the issues to do with having a virtual graphics card, really isn't useful at all.
     
  6. coreym1

    coreym1 Bit Poster

    Messages:
    1
    I specifically purchased Parallels for Sketchup, and now I cannot use it? This is unacceptable
     
  7. Ajith@Parallels

    Ajith@Parallels Parallels Support

    Messages:
    1,629
    We really understand that Sketchup needs a video card driver supports OpenGL version 3.0 or higher. As of now, only OpenGL core profile (version 3.2) is supported in Windows virtual machines. You may get an error message if a program requires an OpenGL compatibility profile, which is not supported on macOS, meaning we are currently unable to create this functionality. We can initiate the refund for the purchase if it is purchased within 30 days.
     
  8. PEDROG2

    PEDROG2 Bit Poster

    Messages:
    4
    Instead to give him a refund why don't try to make better your product? What is your strategy in Marketing? So it's ok to looking every client that use Parallels and Sketch just because you are unable to meet the standard of new software? WOW... You going down like the Titanic...
     
  9. MichaelC19

    MichaelC19 Bit Poster

    Messages:
    1
    I have been trying to figure this out also, and just noticed something on the Sketchup site I am going to try tonight. This is from their site:

    Beginning with SketchUp 2015, SketchUp Pro moved to cloud-based licensing, which gives users more flexibility. For example, you can do the following:

    It seems as long as you are up to date with your OS you can work on Mac with your Windows Sketchup license...we will see.
     
  10. PEDROG2

    PEDROG2 Bit Poster

    Messages:
    4
    I don't think that If you have Sketchup you can use Sketchup in Mac and problem solved. Of Course I can use the version in Mac OS X. But what I have to do with Parallels ??? Do we need to continue support a soft that cost money and doesn't spend money to fix simple issues??? NOW WAY. Parallels is dead until they fix this huge issue of Open GL 3.0.

    Next time that they ask me for money and upgrade already they know my answer. NO THANKS.
     
  11. JoeD2

    JoeD2 Bit Poster

    Messages:
    2
    Will you be upgrading Parallels so that Open GL 3.0 will be supported? Like the people above, I am trying to open the Sketchup 2017 and am getting an error message. Apple says my computer should support up to version 4.1.
     
  12. HansK2

    HansK2 Bit Poster

    Messages:
    1
    Just purchased PD and tried to use Sketchup Pro 2017. WTF!!! I'm currently using a iMac 5K and thought I need a better graphic card but NO, its only a big problem with PD. Unbelievable I would say. When exactly an proper Update is coming or will it only come in the next version I have to purchase again. Unacceptable in 2017!!!
     
    Gareth2 likes this.
  13. AegisI

    AegisI Bit Poster

    Messages:
    34
    Though the Commonalities exclusive machine uses OpenGL 2.1, our Team is working towards a possibility to support OpenGL higher edition in future editions of Commonalities Pc.
     
  14. waterhead37

    waterhead37 Bit Poster

    Messages:
    22
    And now it's November 2017 and still no support - truly disappointing.
     
  15. Gareth2

    Gareth2

    Messages:
    1
    Dear parallels, is there any update on this issue?

    I've just gone and purchased Parallels Desktop 13 only to discover that Sketchup 2017 doesn't work. This is the sole reason I purchased it and must say I'm frustrated about the lack of support for OpenGL 3.0

    How do I get a refund as it now appears that the third-party store I purchased the product through does not accept returns on software keys...??? This is a relatively obscure issue and not something one would know to check compatibility of OpenGL versions between Sketchup and Parallels. Grrr.

    Unfortunately, there are NO REFUNDS or EXCHANGES on ANY items ordered through Kivuto sites. All sales are final. Ensure when placing your order that you have chosen the correct product and read all the system requirements. We are also unable to offer exchanges or refunds because product keys are shipped/issued with the software and, once issued, cannot be returned to our publishers.
     
    Last edited: Nov 18, 2017
  16. JoeD2

    JoeD2 Bit Poster

    Messages:
    2
    Is support of OpenGL 3.0 by Parallels something that might happen in the near future? I want to use SketchUp within Parallels and can't install it due to lack of support. Please advise. Thank you
     
  17. DougK3

    DougK3 Bit Poster

    Messages:
    1
    Over a year now and still no update, is there any idea of when this will be fixed??????
     
  18. Dmitry@Parallels

    Dmitry@Parallels Parallels Support

    Messages:
    442
    Best Answer

Share This Page